namespace FasdDesktopUi.Basics.Services.ProtocollService
{
    internal class TextualProtocollEntry : IProtocollEntry
    {
        private readonly string _asciiText;
        private readonly string _htmlText;

        public TextualProtocollEntry(string asciiText, string htmlText)
        {
            _asciiText = asciiText;
            _htmlText = htmlText;
        }

        public string GetAscii() => _asciiText;

        public string GetHtml() => _htmlText;
    }
}
